<?php

/**
 *  @module         code2
 *  @version        see info.php of this module
 *  @authors        Ryan Djurovich, Chio Maisriml, Thomas Hornik, Dietrich Roland Pehlke
 *  @copyright      2010-2026 Ryan Djurovich, Chio Maisriml, Thomas Hornik, Dietrich Roland Pehlke
 *  @license        GNU General Public License
 *  @license terms  see info.php of this module
 *  @platform       see info.php of this module
 *
 */

 // include secure.php to protect this file and the whole CMS!
if(!defined("SEC_FILE")){define("SEC_FILE",'/framework/secure.php' );}
if (defined('LEPTON_PATH')) {	
	include LEPTON_PATH.SEC_FILE;
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.SEC_FILE))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.SEC_FILE)) { 
		include $root.SEC_FILE;   
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include secure file

$mod_headers = array(
    'backend' => array(
        'css'   => array(),
        'js'    => array()
    )
);

if( true === code2::getInstance()->codemirrorSupported )
{
    $oCodeMirror = lib_codemirror::getInstance();
    
    $mod_headers['backend']['css'][] = array(
        "media" => "all",
        "file"  => "/modules/lib_codemirror/css/backend.css"
    );
     
    $oCodeMirror->useFavorites = false;
    $aCodeMirrorFiles = $oCodeMirror->getBaseFiles();

    foreach($aCodeMirrorFiles['css'] as $sCssPath)
    {
        $mod_headers['backend']['css'][] = array(
            'media'  => 'all',
            'file'  => $sCssPath
        );
    }

    foreach($aCodeMirrorFiles['js'] as $sJSPath)
    {
        $mod_headers['backend']['js'][] = $sJSPath;
    }

}